#define F_CPU 16000000
#include <avr/io.h>
#define SWGREEN_PRESSED() (((PINB & 1)) == 0)
#define SWYELLOW_PRESSED() ((PINB & (1<<PB1)) == 0)
#define SWRED_PRESSED() ((PINB & (1<<PB2)) == 0)
#define SWBLUE_PRESSED() ((PINB & (1<<PB3)) == 0)


void init_peri();
void set_green_value(uint8_t value);

void set_yellow_value(uint8_t value);

void set_red_value(uint8_t value);

void set_blue_value(uint8_t value);

uint16_t read_adc(uint8_t channel);
